Subject: [alpine-aports] [PATCH] optipng: new aport

From: Michael Koloberdin <[email-masked]>
Date: Tue, 17 May 2016 15:09:17 +0000

---
 testing/optipng/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/optipng/APKBUILD

diff --git a/testing/optipng/APKBUILD b/testing/optipng/APKBUILD
new file mode 100644
index 0000000..9980a0d
--- /dev/null
+++ b/testing/optipng/APKBUILD
@@ -0,0 +1,42 @@
+# Maintainer: Michael Koloberdin <[email-masked]>
+pkgname=optipng
+pkgver=0.7.6
+pkgrel=0
+pkgdesc="Compresses PNG files to a smaller size, without losing any information."
+url="http://optipng.sourceforge.net/"
+arch="all"
+license="ZLIB"
+depends=""
+makedepends="zlib-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make prefix="$pkgdir/usr" mandir="$pkgdir/usr/share/man" install || return 1
+
+	# install license
+	install -Dm0644 LICENSE.txt "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+}
+
+md5sums="568e0738358450eca69ecf578d48f26c  optipng-0.7.6.tar.gz"
+sha256sums="4870631fcbd3825605f00a168b8debf44ea1cda8ef98a73e5411eee97199be80  optipng-0.7.6.tar.gz"
+sha512sums="d31d7494c23413d87b601a706cc2faf82923156a818da66e0bfad11741aed065db8f1b0c088d2abd66899ac192408c05f594295ded2684c4549c5f03b140a184  optipng-0.7.6.tar.gz"
-- 
2.6.6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---